# Default values for ipmi-sensors.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: registry.gitlab.com/edgetic/oss/ipmi-sensors-exporter/exporter
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

# ipmiHost is the remote host for IPMI connections (required)
ipmiHost: null
# ipmiMachineName is friendly name used for target machine
ipmiMachineName: ""
# ipmiCacheDir is local cache directory for container running exporter
ipmiCacheDir: "./cache"
# ipmiUser username for auth
ipmiUser: ""
# ipmiPassword password for auth
ipmiPassword: ""
# ipmiExistingSecret existing secret for auth
# should contain environment vars IPMI_USER and IPMI_PASSWORD
ipmiExistingSecret: null
# ipmiProtocolVersion is version of protocol
ipmiProtocolVersion: "2.0"
# ipmiPrivilegeLevel type of IPMI user role
ipmiPrivilegeLevel: "USER"
# ipmiAuthenticationType type of auth protocol
ipmiAuthenticationType: "MD5"
# ipmiCipherSuite transmission cipher suite
ipmiCipherSuite: 3
# ipmiWorkaroundFlags list of workaround flags to use
# may be required for dodgy ipmi implementations
ipmiWorkaroundFlags:
  # NONE is the same as specifying empty array
- NONE

# port for metrics endpoint of exporter
metricsPort: 2112

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths: []
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}

telegrafSidecar:
  enabled: false
  # scrapeInterval for picking up metrics (seconds)
  scrapeInterval: 10
  image:
    repository: "telegraf"
    tag: "1.14-alpine"
    pullPolicy: IfNotPresent
  # set influxdbUrl if influxdb is not configured or to override
  influxdbUrl: ""
  influxdbDatabase: "ipmi-sensors"
  influxdbUsername: ""
  influxdbPassword: ""
  healthPort: 8888
  tagexclude:
    - url
  namepass:
    - ipmi*
  resources: {}
  securityContext: {}

# influxdb data store for telegraf
influxdb:
  enabled: false

# grafana dashboard for viewing influxdb data
grafana:
  enabled: false
  grafana.ini:
    security:
      disable_initial_admin_creation: true
    auth.anonymous:
      enabled: true
      org_role: Editor
  datasources:
    datasources.yaml:
      apiVersion: 1
      datasources:
      - name: Influxdb
        type: influxdb
        url: "http://{{ .Release.Name }}-influxdb:8086"
        access: proxy
        database: "ipmi-sensors"
        user: ""
        password: ""
        isDefault: true
        jsonData:
          httpMode: GET
        editable: true
